### A free/open-source library for quantitative finance

Classes | Public Member Functions | Protected Attributes
VarianceOption Class Reference
Financial instruments

Variance option. More...

`#include <ql/experimental/varianceoption/varianceoption.hpp>`

Inheritance diagram for VarianceOption:
[legend]

List of all members.

## Classes

class | arguments
| Arguments for forward fair-variance calculation More...
class | engine
| base class for variance-option engines More...
class | results
| Results from variance-option calculation More...

## Public Member Functions

| VarianceOption (const boost::shared_ptr< Payoff > &payoff, Real notional, const Date &startDate, const Date &maturityDate)
void | setupArguments (PricingEngine::arguments *args) const
Instrument interface
bool | isExpired () const
| returns whether the instrument might have value greater than zero.
Inspectors
Date | startDate () const
Date | maturityDate () const
Real | notional () const
boost::shared_ptr< Payoff > | payoff () const

## Protected Attributes

boost::shared_ptr< Payoff > | payoff_
Real | notional_
Date | startDate_
Date | maturityDate_

## Detailed Description

Variance option.

Warning:
  This class does not manage seasoned variance options.

## Member Function Documentation

void setupArguments | ( | PricingEngine::arguments * |  | ) | const`[virtual]`

When a derived argument structure is defined for an instrument, this method should be overridden to fill it. This is mandatory in case a pricing engine is used.

Reimplemented from Instrument.